Update group
Update group
PATCH/zones/{zoneId}/groups/{groupId}
Updates a group's name and/or identifier (partial update). A group's source is immutable. The name of a group synced from an external directory cannot be changed while external sync is enabled for the zone; its identifier can.
Path Parameters
zoneId: string
groupId: string
Body ParametersJSON
identifier: optional string
User-specified identifier, unique within the zone.
minLength1
maxLength2048
formatsafe-text
name: optional string
Human-readable group name
minLength1
maxLength255
formatsafe-text
Returns
Update group
curl https://api.keycard.ai/zones/$ZONE_ID/groups/$GROUP_ID \
-X PATCH \
-H "Authorization: Bearer $KEYCARD_API_API_KEY"{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"external": true,
"identifier": "identifier",
"name": "name",
"organization_id": "organization_id",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"member_count": 0,
"roles": [
"string"
]
}Returns Examples
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"external": true,
"identifier": "identifier",
"name": "name",
"organization_id": "organization_id",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"member_count": 0,
"roles": [
"string"
]
}